package com.dsk.jsk.service;

import cn.hutool.core.bean.BeanUtil;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.jsk.domain.*;
import com.dsk.system.utils.DskOpenApiUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;
/**
 * @ClassName CompanyRelationTableV1Controller
 * @Description
 * @Author Dgm
 * @Date 2023/12/13 11:28
 * @Version
 */
@Slf4j
@Service
public class CompanyRelationTableV1Service {

    @Autowired
    private DskOpenApiUtil dskOpenApiUtil;

    public TableDataInfo page(JskCompanyRelationTableV1Dto dto) throws Exception {
        Map<String, Object> map = dskOpenApiUtil.requestBody("/operate/consultancy/page", BeanUtil.beanToMap(dto, false, false));
        return dskOpenApiUtil.responsePage(map);
    }

    public TableDataInfo detailPage(JskCompanyRelationTableV1Dto dto) throws Exception{
        Map<String, Object> map = dskOpenApiUtil.requestBody("/operate/consultancy/detailPage", BeanUtil.beanToMap(dto, false, false));
        return dskOpenApiUtil.responsePage(map);
    }
}
